Subject: Help needed: where can get the official source of LAD's visa number, urgent

From: "~{@O76~}" <[email-masked]>
Date: Thu, 14 Jul 94 13:28:26 CDT

Hi, everyone,

I need to get the official source that LAD's EB3 visa number is with
July 2, 1993 cut off date. This is very urgent.

Today, after keep waiting for weeks from our local INS(West Palm Beach,
FL) for the interview notice ( I am CSPA LAD with priority date 7/2/93 ) 
I receive a letter from our local INS office said that "A visa number 
is still not available for you. We expected one may available in September". 
I think they must be wrong on this because how come EB3 for LADs available for
7/2/93 from all other INS office but not this one??

I need the official source to show them when I go there next time. If
any one have any idea where to get it on the net?

Please help. Any info is very appreciated!

Thanks a lot!

L. Fan

[email-masked]